{% extends "friends/layout/base.html" %}
{% block content %}
<section name="contact-add" id="contact-add">
    <div class = "container">
    <h2>Add Friends</h2>
    <form id="form" method="POST" action="{% url 'app-friends:add_contact' %}">
        {% csrf_token %}
        {{ contact_form }}
        <br/>
        <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
        </form>
    </div>
</section>
<section name = "my-contact" id="my-contact">
        <div class="container">
            <h1>List Friends</h1>
            <div class="flex">
                {% if contact %}
                    {% for i in contact %}
                    <div class="flex-item">
                        <div class="all-contact">
                            <div class="all-contact-name">
                                {{i.name}}
                            </div>
                            <div class="all-contact-pic">
                                <img src="http://www.rutlandherald.com/wp-content/uploads/2017/03/default-user.png" width="150px">
                            </div>
                            <div class="all-contact-heroku">
                                <a href="{{i.heroku}}"><center>{{i.heroku}}</center></a>
                            </div>
                            <div class="all-contact-date-added">
                                Added {{i.created_date}}
                            </div>
                            <form id="form-{{i.id}}" method="post" action="{% url 'app-friends:remove_contact' %}">
                                {% csrf_token %}
                                <input type="hidden" name="flag" value="{{i.id}}"/>
                                <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="all-contact-delete">
                            </form>
                        </div>
                    </div>
                    {% endfor %}
                {% else %}
                <div class="alert alert-danger text-center">
                    <strong>Oops!</strong> Tidak ada data Data di dalam Kontak.
                 </div>
                {% endif %}
            </div>
        </div>
</section>
{% endblock %}
<!-->
<div style="overflow-x:auto;">
<table class="table">
    <thead><center>
        <th><center>Nama</center></th>
        <th><center>Heroku URL</center></th>
        <th><center>Added</center></th>
        <th><center>Delete Contact</center></th>
    </thead>
    {% for i in contact %}
    <tr>
        <td><center>{{i.name}}</center></td>
        <td><a href="{{i.heroku}}"><center>{{i.heroku}}</center></a></td>
        <td><center><i>Added {{i.created_date}}</i></center></td>
        <td><center>
            <form id="form-{{i.id}}" method="post" action="{% url 'app-friends:remove_contact' %}">
            {% csrf_token %}
            <input type="hidden" name="flag" value="{{i.id}}"/>
            <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="contact-list-delete">
            </form>
            </center>
        </td>
    </tr>
    {% endfor %}
</table>
</div>
<-->
